/* Colors
----------------------------------------*/
:root {
  --cassiopeia-color-primary: #112855;
  --cassiopeia-color-link: #990919;
  --cassiopeia-color-hover: #dfc08f;
}

/* Featured Images on Home Page
----------------------------------------*/
.container-banner img {
	max-width: 100%;
	height: auto;
}

.jsfeatured {
	width: 100%;
	display: flex;
	padding: 10px 5px;
	background-color: #ddd;
	border-bottom: 1px solid #aaa;	
}

.jsfeatured .tricolumn {
	flex: 33.33%;
	padding: 9px;
}

.jsfeatured .height1 {
	overflow: hidden;  
	position: relative;
}

.jsfeatured .height2 {
	overflow: hidden; 
	margin-bottom: 12px; 
	position: relative;
}

.jsfeatured .height2:last-child {
	margin-bottom: 0; 
}

.height1, .height2 {
	position: relative;
}

.jsfeatured img, .imgoverlay {
	width: 100%;
	display: block;
	transition: transform 1s ease-in-out 0s;
	-moz-transition: transform 1s ease-in-out 0s;
	-webkit-transition: transform 1s ease-in-out 0s;
	-o-transition: transform 1s ease-in-out 0s;
	opacity: 1;
}

.jsfeatured img:hover {
	transform: scale(1.1);
	-moz-transform: scale(1.1);
	-webkit-transform: scale(1.1);
	-o-transform: scale(1.1);
	overflow: hidden;
}

.textoverlay {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	background: rgba(0, 0, 0, 0.5);
	color: #fffedf;
	opacity: 0;
	padding: 10px;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	justify-content: left;
	overflow: hidden;
}
.textoverlay h4 {
	flex: 25%;
	text-align: center;
	color: #dfc08f;
	font-size: 2vw;
}

.textoverlay p {
	flex: 75%;
	color: #fffedf;
	text-align: left;
	font-size: 1.2vw;
	line-height: 1.5vw;
}

.textoverlay > * {
	transform: translateY(40px);
	transition: transform 0.25s;
	
}

.jsfeatured .textoverlay:hover {
	opacity: 1;
}

.textoverlay:hover > * {
	transform: translateY(0);
}

/* Brand Logo
----------------------------------------*/
.brand-logo img {
	width: 50%;
}


/* Containers
----------------------------------------*/
.container-header {
	background-color: #2a2c31;
	background-image: linear-gradient(180deg, #2a2c31, #1b1c1e);
}

/* .container-header {
	background-color: #4d4545;
	background-image: linear-gradient(180deg, #786969, #4d4545);
} */

.container-header .mod-menu {
	color: #dfbf8e;
	margin-left: .5rem;
}

.container-topbar {
padding-top: 3px;
font-size: .85rem !important;
}

.container-header nav {
	margin-top: 0px;
}

.container-nav img {
	width: 14rem; 
	height: auto; 
	padding: .5rem .1rem .5rem .1rem;
}

.container-nav {
	padding: 0px 1em !important;
}

.container-footer {
	background-color: #2a2c31;
	background-image: linear-gradient(180deg, #2a2c31, #1b1c1e);
	border-top: .05rem solid #dfc08f;
	color: #fffedf;
	margin-top: 0px;
}

@supports (display: grid) {
  .site-grid {
	display: grid;
	grid-template-areas: ". banner banner banner banner ." ". featured featured featured featured ." ". top-a top-a top-a top-a ." ". top-b top-b top-b top-b ." ". comp comp comp comp ." ". side-r side-r side-r side-r ." ". side-l side-l side-l side-l ." ". bot-a bot-a bot-a bot-a ." ". bot-b bot-b bot-b bot-b ." ". bot-c bot-c bot-c bot-c .";
	grid-template-columns: [full-start] minmax(0, 1fr) [main-start] repeat(4, minmax(0, 19.875rem)) [main-end] minmax(0, 1fr) [full-end];
	grid-gap: 0 1em;
  }
  .site-grid > [class^=container-],
  .site-grid > [class*=" container-"] {
	width: 100%;
	max-width: none;
	-webkit-column-gap: 1em;
	   -moz-column-gap: 1em;
			column-gap: 1em;
  }
  .site-grid > .full-width {
	grid-column: full-start/full-end;
  }
  @media (min-width: 992px) {
	.site-grid {
	  grid-template-areas: ". banner banner banner banner ."  ". featured featured featured featured ." ". top-a top-a top-a top-a ." ". top-b top-b top-b top-b ." ". side-l comp comp side-r ." ". bot-a bot-a bot-a bot-a ." ". bot-b bot-b bot-b bot-b ." ". bot-c bot-c bot-c bot-c .";
	}
  }
}

.container-featured {
	position: relative;
	grid-area: auto;
}

.container-featured>* {
	flex: 1;
}
.container-featured img {
  display: block;
  margin: auto;
}
.container-featured .featured-overlay {
  height: 70vh;
  color: hsl(0, 0%, 100%);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: top, center;
  background-size: cover;
}
.container-featured .featured-overlay .overlay {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
	  -ms-flex-direction: column;
		  flex-direction: column;
  -webkit-box-align: center;
	  -ms-flex-align: center;
		  align-items: center;
  -webkit-box-pack: center;
	  -ms-flex-pack: center;
		  justify-content: center;
  height: 100%;
  padding: 1em;
  text-align: center;
  background-color: hsla(0, 0%, 0%, 0.5);
}
.container-featured .featured-overlay .overlay .text-thin {
  font-weight: lighter;
}
.container-featured .featured-overlay .overlay .text-thin::after {
  display: block;
  width: 30%;
  height: 4px;
  margin: 1rem auto 2rem;
  content: "";
  background: hsl(0, 0%, 100%);
}
.container-featured .featured-overlay .overlay .text-thin .lead {
  font-size: 150vh;
}
@media screen and (max-height: 740px) {
  .container-featured .featured-overlay {
	height: 100vh;
  }
}

.container-bottom-c {
	background-color: #2a2c31;
	background-image: linear-gradient(180deg, #2a2c31, #1b1c1e);
	border-top: .25rem solid #dfc08f;
	padding-left: .5em;
	column-gap: .5em !important;
	color: #fffedf;
}

.container-bottom-c .card {
	margin-right: .5em;
	background-color: transparent;
	border: 1px solid #3e4147;
	color: #fffedf;
}

.container-bottom-c .card-header {
	border-bottom: 1px solid #3e4147;
	color: #dfc08f;
	background-color: rgba(0, 0, 0, .22 );
}

.container-bottom-c {
	position: relative;
}

.container-bottom-c {
	grid-area: bot-c;
}
.container-bottom-c>* {
	flex: 1;
	margin: .5em 0;
}

.container-footer a {
	color: #dfc08f;
	text-decoration: none;
}

.com-weblinks-categories {
	min-height: 415px;
}
table.links td {
	padding-right: 8px;
}

h5.subpageheading {
	text-align: center;
	padding-top: 1em;
}

#mod-custom119 {
	margin-left: auto;
	margin-right: auto;
	width: 100%;
}

/* Block Quote Section
----------------------------------------*/
/*
.module_bbq {
	background-color: #2a2c31;
	color: #dfbf8e;
}
#mod-custom111 {
	border: .1rem solid #dfc08f;
	padding: .75rem;
}

#mod-custom110 {
	margin-left: auto;
	margin-right: auto;
	width: 100%;
}
*/

/* Logos and Random Images
----------------------------------------*/
.random-image {
	margin: .1rem .05rem .1rem .2rem;
	float: right;
}

.brand-logo img {
	height: auto;
	max-width: 10rem;
}

/* Buttons & Links
----------------------------------------*/
.back-to-top-link {
	background-color: #dfc08f;
	border-color: #fffedf;
	color: #990919;
}

.back-to-top-link:hover {
	background-color: #990919;
	border-color: #ddd;
	color: #dfc08f;
}

.btn-primary {
	background-color: #dfc08f;
	border-color: #fffedf;
	color: #990919;
	padding: .6rem 1rem;
	--btn-active-color: #3EC1CD;
	--btn-active-bg: #3e4147;
	--btn-active-border-color: #990919;
	--btn-disabled-color: #fffedf;
	--btn-disabled-bg: #3e4147;
	--btn-disabled-border-color: #990919;
}

.btn-primary:hover {
	background-color: #990919;
	border-color: #ddd;
	color: #dfc08f;
	padding: .6rem 1rem;
}

.btn-secondary {
	background-color: #990919;
	border-color: #ddd;
	color: #dfc08f;
	padding: .6rem 1rem;
	--btn-active-color: #3EC1CD;
	--btn-active-bg: #3e4147;
	--btn-active-border-color: #990919;
	--btn-disabled-color: #fffedf;
	--btn-disabled-bg: #3e4147;
	--btn-disabled-border-color: #990919;
}

.btn-secondary:hover {
	background-color: #dfc08f;
	border-color: #fffedf;
	color: #990919;
	padding: .6rem 1rem;
}

.btn-primary a {
	color: #3e4147;
	text-decoration: none;
	padding: .6rem 1rem;
}

.btn-primary a:hover {
	color: #dfc08f;
	text-decoration: none;	
	padding: .6rem 1rem;
}

.ul-inline, .connect {
	padding-inline-start: 0px;
	padding-bottom: .5rem;
}

.ul-inline li, .connect li {
	display: inline-block;
	margin-left: .05rem;
	margin-right: .05rem;
}

.ul-inline li a, .connect li a {
	color: #dfc08f;
	text-decoration: none;
}

.ul-inline li a:hover, .connect li a:hover {
	color: #990919;
}

[class^="mostread"] li {
	background-image: url(/images/logo_ul.png);
	background-position: left center;
	background-repeat: no-repeat;
	padding-top: .25rem;
	padding-bottom: .25rem;
	padding-left: 2rem;
	text-align: left;
}

[class^="mod-articleslatest"] li {
	background-image: url(/images/logo_ul.png);
	background-position: left center;
	background-repeat: no-repeat;
	padding-top: .25rem;
	padding-bottom: .25rem;
	padding-left: 2rem;
	text-align: left;
}

/* Menus 
----------------------------------------*/
.document_menu_sidebar.active_bg{
	background-color: #3e4147;
}

.metismenu.mod-menu .mm-collapse {
	background-color: #3e4147 !important;
}

.metismenu.mod-menu .mm-collapse>li>a {
	color: #dfc08f;
	text-decoration: none;
}

.metismenu.mod-menu .mm-collapse>li {
	border-bottom: 1px solid #2a2c31;
	text-transform: capitalize;
}

.metismenu.mod-menu .mm-collapse>li>a:hover {
	color: #fffedf;
	text-decoration: none;
}

.mod-list li a:hover {
	display: block;
	text-decoration: none;
	background-color: #eee;
}

.mod-menu li {
	text-transform: lowercase;
}

.mod-menu li a:hover {
	display: block;
	text-decoration: none;
	background-color: #3e4147;
}

.nav li a:hover {
	display: block;
	text-decoration: none;
	background-color: transparent;
}

ul.navbar-collapse {
	float: right;
	margin: 0;
}

.container-search {
	position: absolute;
	bottom: 0;
	right: 0;
}

.metismenu.mod-menu .metismenu-item:not(.level-1)>ul, .metismenu.mod-menu .metismenu-item:not(.level-2)>ul {
	margin-right: .5em;
	position: absolute;
	right: 0;
	min-width: 14rem;
}

.container-header .metismenu>li.level-1>ul {
}

/* Resume
----------------------------------------*/
h2.resume {
	text-transform: uppercase;
	color: #751524;
	text-align: center;
}

h3.resume {
	color: #751524;
	text-align: center;
}

h4.resume {
	color: #751524;
	text-align: center;
	text-transform: uppercase;
	border-bottom: 1px solid #4e0c17;
	border-top: 1px solid #4e0c17;
	padding: 5px;
	margin-top: 30px;
}
